Subject: Re: [vhost:vhost 20/20] ERROR: "page_poisoning_enabled" [drivers/virtio/virtio_balloon.ko] undefined!

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 7 Feb 2018 06:28:18 +0200

On Wed, Feb 07, 2018 at 03:26:31AM +0000, Wang, Wei W wrote:
> On Wednesday, February 7, 2018 10:52 AM, Michael S. Tsirkin wrote:
> > On Wed, Feb 07, 2018 at 10:25:35AM +0800, Wei Wang wrote:
> > > On 02/07/2018 09:26 AM, kbuild test robot wrote:
> > > > tree:   https://git.kernel.org/pub/scm/linux/kernel/git/mst/vhost.git
> > vhost
> > > > head:   96bcd04462b99e2c80e09f6537770a0ca6b288d0
> > > > commit: 96bcd04462b99e2c80e09f6537770a0ca6b288d0 [20/20]
> > > > virtio-balloon: VIRTIO_BALLOON_F_FREE_PAGE_HINT
> > > > config: ia64-allmodconfig (attached as .config)
> > > > compiler: ia64-linux-gcc (GCC) 7.2.0
> > > > reproduce:
> > > >          wget https://raw.githubusercontent.com/intel/lkp-
> > tests/master/sbin/make.cross -O ~/bin/make.cross
> > > >          chmod +x ~/bin/make.cross
> > > >          git checkout 96bcd04462b99e2c80e09f6537770a0ca6b288d0
> > > >          # save the attached .config to linux build tree
> > > >          make.cross ARCH=ia64
> > > >
> > > > All errors (new ones prefixed by >>):
> > > >
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/auxdisplay/img-ascii-lcd.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in drivers/gpio/gpio-
> > ath79.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in drivers/gpio/gpio-
> > iop.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/iio/accel/kxsd9-i2c.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/iio/adc/qcom-vadc-common.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/media/platform/mtk-vcodec/mtk-vcodec-common.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/media/platform/tegra-cec/tegra_cec.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/mtd/nand/denali_pci.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/pinctrl/pxa/pinctrl-pxa2xx.o
> > > >     see include/linux/module.h for more information
> > > >     WARNING: modpost: missing MODULE_LICENSE() in
> > drivers/power/reset/zx-reboot.o
> > > >     see include/linux/module.h for more information
> > > > > > ERROR: "page_poisoning_enabled" [drivers/virtio/virtio_balloon.ko]
> > undefined!
> > >
> > > page_poisoning_enabled needs to be exposed. I'll send a small patch to
> > > add EXPORT_SYMBOL_GPL(page_poisoning_enabled).
> > >
> > >
> > > Best,
> > > Wei
> > 
> > This will probably miss this release cycle.
> 
> OK if it's too difficult.  My bad, didn't capture that, too sad :(

There will always be the next release. There's work to do on the
qemu side meanwhile.

> I just resent that patch with the fix.
> 
> Best,
> Wei

I can park it on the vhost branch once the merge window closes.

-- 
MST